#!/bin/bash

# $1 is the temp folder where the packages have been extracted
LO_DIRECTORY=$1/opt/libreoffice/lib/libreoffice
OLD_LIB_FOLDER=$1/usr/lib
OPT_FOLDER=$1/opt
USR_FOLDER=$1/usr
NEW_LIB_FOLDER=$1/lib

echo "Creating ./lib, required by the Click package"
mkdir -p $NEW_LIB_FOLDER

echo "Copying LibreOffice file into ./lib ..."
mkdir -p $NEW_LIB_FOLDER/libreoffice
cp -r $LO_DIRECTORY/* $NEW_LIB_FOLDER/libreoffice

echo "Moving ./usr/lib to their destination ..."
mv $OLD_LIB_FOLDER/* $NEW_LIB_FOLDER

echo "Removing ./opt folder, no longer necessary ..."
rm -rf $OPT_FOLDER

echo "Removing ./usr folder, no longer necessary ..."
rm -rf $USR_FOLDER
